import Knex = require('knex');
import { Schema } from './main';
import { Table } from './table';
export interface CustomSchema {
    maxCharLength?: number;
    minDate?: string;
    ignoredTables?: string[];
    tables?: Partial<Table>[];
    values?: {
        [key: string]: any[];
    };
}
export declare class Analyser {
    private dbConnection;
    private database;
    private customSchema;
    private tables;
    private values;
    constructor(dbConnection: Knex, database: string, customSchema?: CustomSchema);
    extractTables: () => Promise<void>;
    extractColumns: () => Promise<void>;
    generateJson(): Schema;
}
