import * as Knex from 'knex';
import { Column } from './column';
export interface Table {
    name: string;
    lines: number;
    columns: Column[];
    before?: string[];
    after?: string[];
}
export declare class TableService {
    private dbConnection;
    private maxCharLength;
    private values;
    private foreignValues;
    constructor(dbConnection: Knex, maxCharLength: number, values: {
        [key: string]: any[];
    });
    getLines(table: Table): Promise<number>;
    empty(table: Table): Promise<void>;
    getForeignKeyValues(table: Table, tableForeignKeyValues?: {
        [key: string]: any[];
    }, runRows?: number): Promise<void>;
    before(table: Table): Promise<void>;
    fill(table: Table): Promise<void>;
    after(table: Table): Promise<void>;
}
